import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as u } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, f = Object.getOwnPropertyDescriptor, i = (c, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? f(t, s) : t, l = c.length - 1, p; l >= 0; l--)
    (p = c[l]) && (e = (r ? p(t, s, e) : p(e)) || e);
  return r && e && m(t, s, e), e;
};
let o = class extends u {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--luxembourg", this.class = "c-pieIcon c-pieIcon--luxembourg", this.name = "IconFlagLuxembourg";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--luxembourg"><path fill="#EEE" d="M8 15A7 7 0 1 0 8 1a7 7 0 0 0 0 14Z"></path><path fill="#D80027" d="M8 1a7 7 0 0 0-6.563 4.566h13.126A7 7 0 0 0 8 1Z"></path><path fill="#338AF3" d="M8 15a7 7 0 0 0 6.563-4.566H1.437A7 7 0 0 0 8 15Z"></path></svg>`;
  }
};
i([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
i([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = i([
  h("icon-flag-luxembourg")
], o);
export {
  o as IconFlagLuxembourg
};
